Bug 427168

Summary: yelp crashes when browsing texinfo pages
Product: [Fedora] Fedora Reporter: Ingvar Hagelund <ingvar>
Component: yelpAssignee: Matthew Barnes <mbarnes>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: yelp-2.26.0-3.fc11.i586 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-21 09:27:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
gdb run and backtrace output none

Description Ingvar Hagelund 2008-01-01 16:09:47 EST
Description of problem:
yelp crashes when browsing texinfo pages

Version-Release number of selected component (if applicable):
yelp-2.20.0-6.fc8

How reproducible:
Every time

Steps to Reproduce:
This can be reproduced simply by browsing texinfo pages. Here's an example.
1. Start yelp
2. Click on links "GNU Info Pages" -> "Emacs" -> "Emacs" -> Top
  
Actual results:
yelp segfaults

Expected results:
Bowsing texinfo files normally
Comment 1 Ingvar Hagelund 2008-01-01 16:09:47 EST
Created attachment 290617 [details]
gdb run and backtrace output
Comment 2 petrosyan 2008-03-14 12:53:14 EDT
I can confirm this bug. I just want to say that it happens when you go to:
"GNU Info Pages" -> "Emacs" -> "Emacs" -> Distrib and not "Top" as you
mentioned. Looking at the backtrace I can see that you crashed after clicking on
"Distrib".

This bug is also present on x86_64 architecture.
Comment 3 petrosyan 2008-06-16 14:06:41 EDT
this bug is still present in Fedora 9
Comment 4 James Bannon 2008-06-21 07:38:06 EDT
Confirmed. Still present after the latest yelp update. happens on some GNU Info
pages but not all. However, when it doesn't it often gets the start section
incorrect. E.g., Gnu Info -> Basics -> Common Options jumps to the 'yes' command
instead of node top.
Comment 5 Bug Zapper 2009-06-09 19:19:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Ingvar Hagelund 2009-06-19 04:18:51 EDT
yelp does no longer crash on this bug in F11, but see also bug #506902

Ingvar
Comment 7 Matthew Barnes 2009-06-21 09:27:19 EDT
Closing this per comment #6.